-- a
SELECT varenr
FROM Vare
WHERE pl_fra < blomstrer;

-- b
SELECT COUNT(*)
FROM Vare
WHERE FL = 'løk'
AND pl_dybde = NULL;

-- c
SELECT p.norsk_navn
FROM Plantesort p, Vare v
WHERE v.FL IN ('frø', 'løk')
AND p.sortsid = v.sortsid
GROUP BY p.sortsid, p.norsk_navn
HAVING COUNT(*) = 2;

-- d
SELECT p.sortsid, p.norsk_navn
FROM Plantesort p, Lysforhold l
WHERE l.sortsid = p.sortsid
AND l.lys IN ('sol', 'skygge')
AND l.lys != 'halvskygge'
GROUP BY p.sortsid, p.norsk_navn
HAVING COUNT(*) = 2;

-- e
SELECT v.varenr, p.latinsk_navn
FROM Vare v, Plantesort p, Pris pr
WHERE v.varenr = pr.varenr
AND v.sortsid = p.sortsid
AND pr.antall = 1
AND pr.enhetspris = (
	SELECT MAX(enhetspris)
	FROM Pris
	WHERE antall = 1 )

-- f
WITH antall AS (
	SELECT COUNT(*) AS forekomst, varenr
	FROM Vare
	GROUP BY varenr
	ORDER BY forekomst DESC )
SELECT a.varenr, a.forekomst
FROM antall a
WHERE a.forekomst = (
	SELECT MAX(a.forekomst)
	FROM antall
	LIMIT 1 );

-- g
SELECT p.enhetspris*220 as pris
FROM Pris p
WHERE p.varenr = 42
AND p.antall <= 220
ORDER BY p.antall DESC
LIMIT 1;
